[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'PairSplitter' (#lcl)

# TPairSplitterSide.SetParent

Sets the value for the Parent property.

## Declaration

Source position: pairsplitter.pas line 48

`protected procedure TPairSplitterSide.SetParent(`
`AParent: TWinControl`
`); override;`

## Arguments

`AParent` |  | New value for the Parent property.

## Description

SetParent is an overridden procedure used to set the value in the Parent property. SetParent is the re-implemented write access specifier for the Parent property.

SetParent ensures that the control is removed from the Sides property in the existing Parent prior to setting the new value for the property. SetParent calls the inherited method to handle the Bounds and AutoSizing for the control.

If the new Parent is not Nil, the private AddSide method in the TPairSplitter instance is called to add the current control.

## See also

TCustomPairSplitter.Sides |  | Provides access to the adjacent children resized using the Splitter.
TControl.Parent |  | The control within which the control is shown.
TControl.SetParent |  | Sets the value for the Parent property.
TControl.CheckNewParent |  | Checks if this control can become a child of AParent.